Name:		pinentry
Version:	0.8.2
Release:	%mkrel 3
Summary:	Collection of simple PIN or passphrase entry dialogs
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
Source2:	pinentry-wrapper
Patch0:		kubuntu_fix_stayontop.diff
Patch1:		pinentry-0.8.2-automake-1.13.patch
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://www.gnupg.org/
Requires(post):	info-install
Requires(preun):info-install
BuildRequires:	libgtk+2.0-devel
BuildRequires:	libcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	qt4-devel
BuildRequires:	gettext-devel
Obsoletes:	%{name}-curses < 0.8.0-2
Suggests:	%{name}-gui

%description
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%pre
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-curses ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-gtk ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-qt ||:
%{_sbindir}/update-alternatives --remove pinentry %{_bindir}/pinentry-qt4 ||:

%files
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_infodir}/*.info*

#-----------------------------------------------------------------------------------------

%package	gtk2
Summary:	GTK+ interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-gtk

%description	gtk2
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%files		gtk2
%_bindir/pinentry-gtk-2

#-----------------------------------------------------------------------------------------

%package	qt4
Summary:	QT4 interface of pinentry
Group:		System/Kernel and hardware
Provides:	%{name}-gui = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{name}-qt < 0.7.6-3

%description	qt4
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides QT4 interface of the dialog.

%files		qt4
%defattr(-,root,root)
%{_bindir}/pinentry-qt*

#-----------------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
# autogen.sh does not replace the bundled automake files even with --force
autoreconf -vfi

%configure2_5x \
	--disable-pinentry-gtk \
	--disable-pinentry-qt \
	--enable-pinentry-qt4 \
	--enable-pinentry-gtk2 \
	--with-qt4-dir=%qt4dir \
	--disable-rpath

%make
%install
rm -rf %{buildroot}
%makeinstall_std

install -p -m755 -D %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/pinentry

pushd $RPM_BUILD_ROOT%{_bindir}
ln -s pinentry-qt4 pinentry-qt
popd

%clean
rm -rf %{buildroot}


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.8.2-3.mga3
+ Revision: 377744
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.8.2-2.mga3
+ Revision: 343963
- patch1: fix build with automake 1.13

  + fedya <fedya>
    - rpmlint fix

* Fri Aug 17 2012 fedya <fedya> 0.8.2-1.mga3
+ Revision: 281790
- version update 0.8.2

* Sun Aug 21 2011 dmorgan <dmorgan> 0.8.1-3.mga2
+ Revision: 134797
- Add kubuntu patch to fix display of pinentry-qt4

* Sat Jan 15 2011 mikala <mikala> 0.8.1-2.mga1
+ Revision: 18655
- Remove BuildRoot
- imported package pinentry

